Subject: RFC 4876 errata

From: Alfred Hönes <[email-masked]>
Date: Sun, 27 May 2007 13:52:07 +0200 (MESZ)

Hello,
after studying the recently published RFC 4876 authored by you,
I would like to submit a few comments, pointing out some issues
I found with the RFC text, and supplying material for an
appropriate RFC Errata Note.

The items below are presented in RFC textual order.
I use change bars ('|' in column 1) and occasionally
up/down pointing marker lines ('^^^'/'vvv') to emphasize
the location of textual issues and/or proposed corrections.
Modified text has been re-adjusted to match RFC formatting
rules, where appropriate.

(1)  Section 3.1 -- word omission in DESC

On page 9, the RFC says:

   ( 1.3.6.1.4.1.11.1.3.1.1.15 NAME 'serviceAuthenticationMethod'
|    DESC 'Specifies types authentication methods either
     used, required, or supported by a particular service'
     EQUALITY caseIgnoreMatch
     SUBSTR caseIgnoreSubstringsMatch
     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 )

It should say:

   ( 1.3.6.1.4.1.11.1.3.1.1.15 NAME 'serviceAuthenticationMethod'
|    DESC 'Specifies types of authentication methods either
     used, required, or supported by a particular service'
     EQUALITY caseIgnoreMatch
     SUBSTR caseIgnoreSubstringsMatch
     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 )

(2)  Section 4.6 -- typo/grammar

On page 19, just above the headline 'Example:', the RFC says:

|        The authors' belief that the user community is more familiar
         with the search filter syntax described by RFC 4515 than with
         that described by the enhancedSearchGuide syntax.

It should say either:

|        The authors' belief is that the user community is more familiar
         with the search filter syntax described by RFC 4515 than with
         that described by the enhancedSearchGuide syntax.

or, even simpler:

|        The authors believe that the user community is more familiar
         with the search filter syntax described by RFC 4515 than with
         that described by the enhancedSearchGuide syntax.

(3)  Section 4.13 -- missing articles

On page 26, the RFC says:

   Example:

      Suppose a DUA is acting on behalf of an email service.  By default
      the "email" service uses the "mail", "cn", and "sn" attributes to
|     discover mail addresses in entries created using inetOrgPerson
      object class [RFC2789].  However, the email service has been
|     deployed in an environment that uses entries created using
      "employee" object class.  [...]

It should perhaps better say:

      Suppose a DUA is acting on behalf of an email service.  By default
      the "email" service uses the "mail", "cn", and "sn" attributes to
|     discover mail addresses in entries created using the inetOrgPerson
      object class [RFC2789].  However, the email service has been
|     deployed in an environment that uses entries created using the
      "employee" object class.  [...]

(4)  Appendix A, Example 4

I strongly suspect that the escaping/unescaping within Example 4
has been garbled.
On page 36, the RFC says:

   Example 4:

|  serviceSearchDescriptor: email:ou=\\mar\\\\keting,\\"?base
   attributeMap: email:cn=name

|  base: ou=\\mar\\keting,"
   scope: base
   filter (&(objectclass=inetOrgPerson)(name~=Jane Hernandez))

Issues:
-  unescaping of `\\mar` should give `\mar` , not `\\mar`
-  to obtain `ing,"` , the escaped version should be `ing,\"'
(This presentation is biased to attribute one error each to the
 two tagged lines - you might have intended another version.)

(5)  Appendix A, Example 6

On page 37, the RFC says:

   Example 6:

   serviceSearchDescriptor: email:??(&(objectclass=person)
|                                   (ou=Org1 \\\\(temporary\\\\)))

   base: o=airius.com
   scope: sub
|  filter: (&((&(objectclass=person)(ou=Org1 \\(Temporary\\)))
             (cn~=Jane Henderson)))

There's a spelling mismatch in capitalization:
   'temporary'   <-->  'Temporary'

Please check and comment.

In particular, items (4) and (5) should be resolved and addressed
by an Errata Note.  I leave it to your decision which of the other
items should be included there as well.

Preferrably, you should submit an Author's Errata Note to the
RFC Editor's RFC Errata web pages, making freely use of the
material supplied above.  But if you like, I can formally
submit an Errata Note on my own, with your consent.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+